# Generated from jafry-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jafry

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Gem for creating JSON data stubs
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(yajl-ruby)
# BuildRequires: rubygem(hashie)
BuildArch: noarch

%description
This gem allows you to easily create JSON data fixtures
from data schemes you can specify by yourself.
The main purpose is to stub JSON received form wide range of JSON API's.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.coveralls.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/jafry.gemspec
%{gem_instdir}/spec
%{gem_instdir}/test.json

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.0-1
- Initial package
